IF OBJECT_ID('dbo.sp_fco_upd_tc_riesgos') IS NOT NULL
    DROP PROCEDURE dbo.sp_fco_upd_tc_riesgos
GO
CREATE PROCEDURE dbo.sp_fco_upd_tc_riesgos
(
    @pch_compania char(4),
    @psi_anio smallint,
    @pti_mes tinyint,
    @pvc_sucursal varchar(10),
    @pch_tipo_planilla char(1),
    @pvc_nro_aut varchar(15),
    @pdc_vlr_aut decimal(9),
    @pvc_vlr_otros decimal(9),
    @pvc_nro_radicacion varchar(10),
    @pdc_saldo_favor decimal(9)
)
AS
BEGIN
    UPDATE fco_integrada_rt05
    SET nro_aut = IsNull(@pvc_nro_aut, ''),
        incapacidades = IsNull(@pdc_vlr_aut, 0),
        otros_riesgos = IsNull(@pvc_vlr_otros, 0),
        nro_radicacion = IsNull(@pvc_nro_radicacion, ''),
        saldo_favor = IsNull(@pdc_saldo_favor, 0),
        origen = 1
    WHERE compania = @pch_compania
      AND anio = @psi_anio
      AND mes = @pti_mes
      AND sucursal = IsNull(@pvc_sucursal, '')
      AND tipo_planilla = @pch_tipo_planilla
END
GO
GRANT EXECUTE ON dbo.sp_fco_upd_tc_riesgos TO PUBLIC
GO
